package com.yihaomen.shardingjava.service;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.yihaomen.shardingjava.entity.UserAccount;
import com.yihaomen.shardingjava.entity.UserInfo;
import com.yihaomen.shardingjava.mapper.UserAccountMapper;
import com.yihaomen.shardingjava.mapper.UserInfoMapper;

@Service
public class UserService {

    @Resource
    UserInfoMapper userInfoMapper;
    
    @Autowired
    private UserAccountMapper userAccountMapper;

    public static Long userId = 1L;
    
    public void insertAccount() {
    	for (int i = 1; i <= 10; i++) {
            UserAccount account = new UserAccount();
            account.setFlowId(userId++ + "");
            account.setAccount(111);
            userAccountMapper.insert(account);            
        }
    }

    public void insert() {
        for (int i = 1; i <= 10; i++) {
            UserInfo userInfo = new UserInfo();
            userInfo.setUserId(userId);
            userInfo.setAccount("account" + i);
            userInfo.setPassword("password" + i);
            userInfo.setUserName("name" + i);
            userId++;
            userInfoMapper.insert(userInfo);
        }
    }

    public UserInfo getUserInfoByUserId(Long id){
        return userInfoMapper.selectByPrimaryKey(id);
    }

    public List<UserInfo> selectByRange(Long firstId, Long lastId){
        return userInfoMapper.selectByRange(firstId, lastId);
    }
    
    public List<UserInfo> selectPagination(Long pageSize, Long offset){
        return userInfoMapper.selectPagination(pageSize, offset);
    }
    
    public long selectCount(Long id, Long maxid){
        return userInfoMapper.selectCount(id, maxid);
    }
    
    public List<UserInfo> selectByLikeTest(){
        return userInfoMapper.selectByLikeTest();
    }
    
    
    
}
